Page MenuHomeFreeBSD

Don't start grouptaskqueue threads for unused grouptaskqueues
AcceptedPublic

Authored by kmacy on Aug 28 2017, 2:19 AM.

Details

Summary

Defer starting grouptaskqueue threads until the first time a grouptask is associated with the group.

This keeps iflib from cluttering ddb ps when there are no iflib drivers in the system.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Lint Skipped
Unit
Unit Tests Skipped
Build Status
Buildable 11273

Event Timeline

kmacy created this revision.Aug 28 2017, 2:19 AM
kmacy added a subscriber: kbowling.Aug 28 2017, 2:19 AM
kmacy updated this revision to Diff 32467.Aug 29 2017, 12:41 AM

Only launch as many threads as we actually need
@sbruno dedicated branch vs iflib/ithread_dispatch called iflib/pollution reduction

shurd accepted this revision.Sep 5 2017, 12:29 AM

Looks good to me.

This revision is now accepted and ready to land.Sep 5 2017, 12:29 AM
kmacy added a comment.May 3 2018, 4:09 AM

@shurd does this still work or should it be abandoned?

shurd added a comment.May 3 2018, 5:11 PM

May as well abandon it until/unless there's interest. I don't think there's much gain for the added complexity.

erj resigned from this revision.Oct 3 2018, 5:21 PM